org.eclipse.jdt.launching.sourcelookup.containers

## Class ClasspathVariableSourceContainer

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer
    - - org.eclipse.debug.core.sourcelookup.containers.CompositeSourceContainer
      - - org.eclipse.jdt.launching.sourcelookup.containers.ClasspathVariableSourceContainer

All Implemented Interfaces:
  IAdaptable, ISourceContainer

    public class ClasspathVariableSourceContainer
    extends CompositeSourceContainer

A classpath variable source container contains a source container that is the resolved value of the associated variable.

This class may be instantiated.

Since:
  3.0
Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

Fields
`static String` `TYPE_ID` Unique identifier for Java project source container type (value `org.eclipse.jdt.launching.sourceContainer.classpathVariable`).

### Fields inherited from class org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer

`EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`ClasspathVariableSourceContainer(IPath variablePath)` Constructs a new source container on the given variable and suffix.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ISourceContainer[]` `createSourceContainers()`
`String` `getName()`
`IPath` `getPath()` Returns the variable this container references as a path.
`ISourceContainerType` `getType()`

### Methods inherited from class org.eclipse.debug.core.sourcelookup.containers.CompositeSourceContainer

`dispose, findSourceElements, findSourceElements, getSourceContainers, isComposite`

### Methods inherited from class org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer

`abort, getDirector, getSourceContainerType, init, isFindDuplicates, warn`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Field Detail

#### TYPE_ID

    public static final String TYPE_ID

Unique identifier for Java project source container type (value `org.eclipse.jdt.launching.sourceContainer.classpathVariable`).

### Constructor Detail

#### ClasspathVariableSourceContainer

    public ClasspathVariableSourceContainer(IPath variablePath)

Constructs a new source container on the given variable and suffix.

Parameters:
  `variablePath` - path representing a Java classpath variable. The first segment is the variable name, and the following segments (if any) are appended to the variable.

### Method Detail

#### createSourceContainers

    protected ISourceContainer[] createSourceContainers()
                                                 throws CoreException

Specified by:
  `createSourceContainers` in class `CompositeSourceContainer`
Throws:
  `CoreException`

#### getName

    public String getName()

#### getPath

    public IPath getPath()

Returns the variable this container references as a path. The first segment is the variable name, and the following segments are appended to the variable's value.

Returns:
  path representing the variable and suffix

#### getType

    public ISourceContainerType getType()